package Irpg::Classes::Cunning;

use strict;
use warnings;
use Irpg::Classes::Sneaky;
our @ISA = qw(Irpg::Classes::Sneaky);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'cha'} + $pl_stats->{'dex'} < 10) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Cunning';
	$self->{MOD_CHA} = 1.3;
	$self->{MOD_DEX} = 1.3;
	return $self;
}

1;
