package Irpg::Classes::High_Mage;

use strict;
use warnings;
use Irpg::Classes::Mage;
our @ISA = qw(Irpg::Classes::Mage);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'int'} + $pl_stats->{'wis'} < 15) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'High Mage';
	$self->{MOD_WIS} = 1.5;
	$self->{MOD_INT} = 1.5;
	return $self;
}

1;
