package Irpg::Classes::Merchant;

use strict;
use warnings;
use Irpg::Classes::Bargainer;
our @ISA = qw(Irpg::Classes::Bargainer);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'cha'} < 16) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Merchant';
	$self->{MOD_CHA} = 1.8;
	$self->{MOD_DEX} = 1.2;
	return $self;
}

1;
