# Presentation

The Idle RPG is just what it sounds like: an RPG in which the players idle. In addition to merely gaining levels, players can find items and battle other players. However, this is (mainly) done for you; you just idle.

My goal by forking the project is to make the game a bit more "active". Of course I will keep the idle aspect of the game, but I wish to add more fun by allowing more choices to the players. Because letting people take decisions and see differents outcomes according to their choices is, at least I think it is, a good way to keep players engaged, and entertained.

At the end of the day, players could do some actions once or several times a day for a few minutes to manage their character, but the core of the game would always be to idle.

Since v5, there is classes from which you can choose an archetype, and evolve by spending points you obtain while levelling. There also is different kind of battles, and some can be manually triggered by players.


# Information

You can find the evolution of the game in the CHANGELOG file.

The ideas yet to be implemented are submitted as Issues on the project. Feel free to add one, comment, or just explore :).

Finally, all the in-game knowledge is available on the [website](https://gennuso.iiens.net/irpg/).


# Usage

1. Using your favorite text editor, open the bot's source. Read the file header.
   If you don't agree with the license, please delete the source and remove
   each of your brain cells associated with it. Kthx.
2. Open the file .irpg.conf and edit the bot's options to suit you. You must
   also move this file into the same directory where the bot resides.
3. Run it with: perl bot.filename.pl
4. If you have problems, try running it in debug mode:
   perl bot.filename.pl --debug
   If you cannot diagnose the problem, post an issue, or aske me.
5. Thanks for your interest in Idle RPG!


# Credits

This project was created by jotun, and many people mentionned in the CHANGELOG participated alongside.
