package Irpg::Classes::Apprentice;

use strict;
use warnings;
use Irpg::Classes::Educated;
our @ISA = qw(Irpg::Classes::Educated);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'int'} + $pl_stats->{'wis'} < 7) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Apprentice';
	$self->{MOD_WIS} = 1.2;
	$self->{MOD_INT} = 1.2;
	return $self;
}

1;
