package Irpg::Classes::Burly;

use strict;
use warnings;
use Irpg::Classes::Farmer;
our @ISA = qw(Irpg::Classes::Farmer);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'str'} + $pl_stats->{'con'} < 5) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Burly';
	$self->{MOD_STR} = 1.1;
	$self->{MOD_CON} = 1.1;
	return $self;
}

1;
