package Irpg::Classes::Elite_Warrior;

use strict;
use warnings;
use Irpg::Classes::Warrior;
our @ISA = qw(Irpg::Classes::Warrior);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'str'} + $pl_stats->{'con'} < 15) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Elite Warrior';
	$self->{MOD_STR} = 1.5;
	$self->{MOD_CON} = 1.5;
	return $self;
}

1;
