package Irpg::Classes::Godfather;

use strict;
use warnings;
use Irpg::Classes::Swindler;
our @ISA = qw(Irpg::Classes::Swindler);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'cha'} + $pl_stats->{'dex'} < 15) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Godfather';
	$self->{MOD_CHA} = 1.5;
	$self->{MOD_DEX} = 1.5;
	return $self;
}

1;
