package Irpg::Classes::Master_Enchanter;

use strict;
use warnings;
use Irpg::Classes::Enchanter;
our @ISA = qw(Irpg::Classes::Enchanter);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'wis'} < 16) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Master Enchanter';
	$self->{MOD_INT} = 1.2;
	$self->{MOD_WIS} = 1.8;
	return $self;
}

1;
