package Irpg::Classes::Old_Wizard;

use strict;
use warnings;
use Irpg::Classes::Wizard;
our @ISA = qw(Irpg::Classes::Wizard);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'int'} < 16) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Old Wizard';
	$self->{MOD_INT} = 1.8;
	$self->{MOD_WIS} = 1.2;
	return $self;
}

1;
