package Irpg::Classes::Shadow;

use strict;
use warnings;
use Irpg::Classes::Thief;
our @ISA = qw(Irpg::Classes::Thief);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'dex'} < 16) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Shadow';
	$self->{MOD_CHA} = 1.2;
	$self->{MOD_DEX} = 1.8;
	return $self;
}

1;
