package Irpg::Classes::Shrewd;

use strict;
use warnings;
use Irpg::Classes::Farmer;
our @ISA = qw(Irpg::Classes::Farmer);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'cha'} + $pl_stats->{'dex'} < 5) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Shrewd';
	$self->{MOD_CHA} = 1.1;
	$self->{MOD_DEX} = 1.1;
	return $self;
}

1;
